/**
 * Diese Klasse stellt auf -18C tiefgekhlte Lagerpltze zur Verfgung. Ein Lagerplatz kann eine Ware lagern.
 * 
 * @author SK
 * 
 */
public class Lagerplatz_tiefgekuehlt_minus18 extends Lagerplatz {

	/**
	 * Diese Methode versucht, eine Ware im Lagerplatz abzulagern. Als Vorbedingung muss unbedingt angegeben werden, ob
	 * es sich hierbei um den ersten oder zweiten Versuch handelt!
	 * 
	 * @param w
	 *            Die zu lagernde Ware.
	 * @param second_attempt
	 *            Angabe, ob es sich hierbei um den ersten oder zweiten Versuch handelt.
	 * @return true wenn die Ware erfolgreich gelagert wurde, ansonsten false.
	 */
	public boolean store(Ware w, boolean second_attempt) {
		if (w.storedInTiefgekuehlt18(this, second_attempt) == true) {
			this.store(w);
			return true;
		} else {
			return false;
		}
	}
}
